package com.goomood.phm.mapper;

import java.util.List;
import com.goomood.phm.domain.FaultSetting;

/**
 * 预警设置Mapper接口
 * 
 * @author goomood
 * @date 2024-11-17
 */
public interface FaultSettingMapper 
{
    /**
     * 查询预警设置
     * 
     * @param id 预警设置主键
     * @return 预警设置
     */
    public FaultSetting selectFaultSettingById(Long id);

    /**
     * 查询预警设置列表
     * 
     * @param faultSetting 预警设置
     * @return 预警设置集合
     */
    public List<FaultSetting> selectFaultSettingList(FaultSetting faultSetting);

    /**
     * 新增预警设置
     * 
     * @param faultSetting 预警设置
     * @return 结果
     */
    public int insertFaultSetting(FaultSetting faultSetting);

    /**
     * 修改预警设置
     * 
     * @param faultSetting 预警设置
     * @return 结果
     */
    public int updateFaultSetting(FaultSetting faultSetting);

    /**
     * 删除预警设置
     * 
     * @param id 预警设置主键
     * @return 结果
     */
    public int deleteFaultSettingById(Long id);

    /**
     * 批量删除预警设置
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteFaultSettingByIds(Long[] ids);
}
